curl --request POST \
--url https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts \
--header 'Content-Type: application/json' \
--data '
{
"is_prospect": true,
"is_customer": true,
"is_supplier": true,
"is_company": true,
"company_name": "Example Company S.A.",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+32 2 000 00 00",
"mobile": "+32 4 000 00 00",
"company_id": "<invoicing-company-id>",
"vat": "BE0000000000",
"company_number": "0000000000",
"currency": "EUR",
"language": "en",
"comment": "Preferred contact: accounts payable team.",
"customer_account_number": "<invoicing-account-number>",
"supplier_account_number": "<invoicing-account-number>",
"birthdate": "1990-01-01",
"addresses": []
}
'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts"
payload = {
"is_prospect": True,
"is_customer": True,
"is_supplier": True,
"is_company": True,
"company_name": "Example Company S.A.",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+32 2 000 00 00",
"mobile": "+32 4 000 00 00",
"company_id": "<invoicing-company-id>",
"vat": "BE0000000000",
"company_number": "0000000000",
"currency": "EUR",
"language": "en",
"comment": "Preferred contact: accounts payable team.",
"customer_account_number": "<invoicing-account-number>",
"supplier_account_number": "<invoicing-account-number>",
"birthdate": "1990-01-01",
"addresses": []
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
is_prospect: true,
is_customer: true,
is_supplier: true,
is_company: true,
company_name: 'Example Company S.A.',
first_name: 'John',
last_name: 'Doe',
email: 'john.doe@example.com',
phone: '+32 2 000 00 00',
mobile: '+32 4 000 00 00',
company_id: '<invoicing-company-id>',
vat: 'BE0000000000',
company_number: '0000000000',
currency: 'EUR',
language: 'en',
comment: 'Preferred contact: accounts payable team.',
customer_account_number: '<invoicing-account-number>',
supplier_account_number: '<invoicing-account-number>',
birthdate: '1990-01-01',
addresses: []
})
};
fetch('https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'is_prospect' => true,
'is_customer' => true,
'is_supplier' => true,
'is_company' => true,
'company_name' => 'Example Company S.A.',
'first_name' => 'John',
'last_name' => 'Doe',
'email' => 'john.doe@example.com',
'phone' => '+32 2 000 00 00',
'mobile' => '+32 4 000 00 00',
'company_id' => '<invoicing-company-id>',
'vat' => 'BE0000000000',
'company_number' => '0000000000',
'currency' => 'EUR',
'language' => 'en',
'comment' => 'Preferred contact: accounts payable team.',
'customer_account_number' => '<invoicing-account-number>',
'supplier_account_number' => '<invoicing-account-number>',
'birthdate' => '1990-01-01',
'addresses' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts"
payload := strings.NewReader("{\n \"is_prospect\": true,\n \"is_customer\": true,\n \"is_supplier\": true,\n \"is_company\": true,\n \"company_name\": \"Example Company S.A.\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"email\": \"john.doe@example.com\",\n \"phone\": \"+32 2 000 00 00\",\n \"mobile\": \"+32 4 000 00 00\",\n \"company_id\": \"<invoicing-company-id>\",\n \"vat\": \"BE0000000000\",\n \"company_number\": \"0000000000\",\n \"currency\": \"EUR\",\n \"language\": \"en\",\n \"comment\": \"Preferred contact: accounts payable team.\",\n \"customer_account_number\": \"<invoicing-account-number>\",\n \"supplier_account_number\": \"<invoicing-account-number>\",\n \"birthdate\": \"1990-01-01\",\n \"addresses\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts")
.header("Content-Type", "application/json")
.body("{\n \"is_prospect\": true,\n \"is_customer\": true,\n \"is_supplier\": true,\n \"is_company\": true,\n \"company_name\": \"Example Company S.A.\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"email\": \"john.doe@example.com\",\n \"phone\": \"+32 2 000 00 00\",\n \"mobile\": \"+32 4 000 00 00\",\n \"company_id\": \"<invoicing-company-id>\",\n \"vat\": \"BE0000000000\",\n \"company_number\": \"0000000000\",\n \"currency\": \"EUR\",\n \"language\": \"en\",\n \"comment\": \"Preferred contact: accounts payable team.\",\n \"customer_account_number\": \"<invoicing-account-number>\",\n \"supplier_account_number\": \"<invoicing-account-number>\",\n \"birthdate\": \"1990-01-01\",\n \"addresses\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"is_prospect\": true,\n \"is_customer\": true,\n \"is_supplier\": true,\n \"is_company\": true,\n \"company_name\": \"Example Company S.A.\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"email\": \"john.doe@example.com\",\n \"phone\": \"+32 2 000 00 00\",\n \"mobile\": \"+32 4 000 00 00\",\n \"company_id\": \"<invoicing-company-id>\",\n \"vat\": \"BE0000000000\",\n \"company_number\": \"0000000000\",\n \"currency\": \"EUR\",\n \"language\": \"en\",\n \"comment\": \"Preferred contact: accounts payable team.\",\n \"customer_account_number\": \"<invoicing-account-number>\",\n \"supplier_account_number\": \"<invoicing-account-number>\",\n \"birthdate\": \"1990-01-01\",\n \"addresses\": []\n}"
response = http.request(request)
puts response.read_body{
"id": "<this-id>",
"source_ref": {
"id": "<target-software-id>",
"model": "invoice"
},
"is_prospect": true,
"is_customer": true,
"is_supplier": true,
"is_company": true,
"company_name": "Example Company S.A.",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+32 2 000 00 00",
"mobile": "+32 4 000 00 00",
"company_id": "<invoicing-company-id>",
"vat": "BE0000000000",
"company_number": "0000000000",
"currency": "EUR",
"language": "en",
"comment": "Preferred contact: accounts payable team.",
"customer_account_number": "<invoicing-account-number>",
"supplier_account_number": "<invoicing-account-number>",
"birthdate": "1990-01-01",
"gender": "H",
"addresses": [],
"external_reference": "CONTACT-0001"
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create a contact
Creates a new contact in the invoicing system and returns the created contact record.
curl --request POST \
--url https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts \
--header 'Content-Type: application/json' \
--data '
{
"is_prospect": true,
"is_customer": true,
"is_supplier": true,
"is_company": true,
"company_name": "Example Company S.A.",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+32 2 000 00 00",
"mobile": "+32 4 000 00 00",
"company_id": "<invoicing-company-id>",
"vat": "BE0000000000",
"company_number": "0000000000",
"currency": "EUR",
"language": "en",
"comment": "Preferred contact: accounts payable team.",
"customer_account_number": "<invoicing-account-number>",
"supplier_account_number": "<invoicing-account-number>",
"birthdate": "1990-01-01",
"addresses": []
}
'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts"
payload = {
"is_prospect": True,
"is_customer": True,
"is_supplier": True,
"is_company": True,
"company_name": "Example Company S.A.",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+32 2 000 00 00",
"mobile": "+32 4 000 00 00",
"company_id": "<invoicing-company-id>",
"vat": "BE0000000000",
"company_number": "0000000000",
"currency": "EUR",
"language": "en",
"comment": "Preferred contact: accounts payable team.",
"customer_account_number": "<invoicing-account-number>",
"supplier_account_number": "<invoicing-account-number>",
"birthdate": "1990-01-01",
"addresses": []
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
is_prospect: true,
is_customer: true,
is_supplier: true,
is_company: true,
company_name: 'Example Company S.A.',
first_name: 'John',
last_name: 'Doe',
email: 'john.doe@example.com',
phone: '+32 2 000 00 00',
mobile: '+32 4 000 00 00',
company_id: '<invoicing-company-id>',
vat: 'BE0000000000',
company_number: '0000000000',
currency: 'EUR',
language: 'en',
comment: 'Preferred contact: accounts payable team.',
customer_account_number: '<invoicing-account-number>',
supplier_account_number: '<invoicing-account-number>',
birthdate: '1990-01-01',
addresses: []
})
};
fetch('https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'is_prospect' => true,
'is_customer' => true,
'is_supplier' => true,
'is_company' => true,
'company_name' => 'Example Company S.A.',
'first_name' => 'John',
'last_name' => 'Doe',
'email' => 'john.doe@example.com',
'phone' => '+32 2 000 00 00',
'mobile' => '+32 4 000 00 00',
'company_id' => '<invoicing-company-id>',
'vat' => 'BE0000000000',
'company_number' => '0000000000',
'currency' => 'EUR',
'language' => 'en',
'comment' => 'Preferred contact: accounts payable team.',
'customer_account_number' => '<invoicing-account-number>',
'supplier_account_number' => '<invoicing-account-number>',
'birthdate' => '1990-01-01',
'addresses' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts"
payload := strings.NewReader("{\n \"is_prospect\": true,\n \"is_customer\": true,\n \"is_supplier\": true,\n \"is_company\": true,\n \"company_name\": \"Example Company S.A.\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"email\": \"john.doe@example.com\",\n \"phone\": \"+32 2 000 00 00\",\n \"mobile\": \"+32 4 000 00 00\",\n \"company_id\": \"<invoicing-company-id>\",\n \"vat\": \"BE0000000000\",\n \"company_number\": \"0000000000\",\n \"currency\": \"EUR\",\n \"language\": \"en\",\n \"comment\": \"Preferred contact: accounts payable team.\",\n \"customer_account_number\": \"<invoicing-account-number>\",\n \"supplier_account_number\": \"<invoicing-account-number>\",\n \"birthdate\": \"1990-01-01\",\n \"addresses\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts")
.header("Content-Type", "application/json")
.body("{\n \"is_prospect\": true,\n \"is_customer\": true,\n \"is_supplier\": true,\n \"is_company\": true,\n \"company_name\": \"Example Company S.A.\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"email\": \"john.doe@example.com\",\n \"phone\": \"+32 2 000 00 00\",\n \"mobile\": \"+32 4 000 00 00\",\n \"company_id\": \"<invoicing-company-id>\",\n \"vat\": \"BE0000000000\",\n \"company_number\": \"0000000000\",\n \"currency\": \"EUR\",\n \"language\": \"en\",\n \"comment\": \"Preferred contact: accounts payable team.\",\n \"customer_account_number\": \"<invoicing-account-number>\",\n \"supplier_account_number\": \"<invoicing-account-number>\",\n \"birthdate\": \"1990-01-01\",\n \"addresses\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"is_prospect\": true,\n \"is_customer\": true,\n \"is_supplier\": true,\n \"is_company\": true,\n \"company_name\": \"Example Company S.A.\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"email\": \"john.doe@example.com\",\n \"phone\": \"+32 2 000 00 00\",\n \"mobile\": \"+32 4 000 00 00\",\n \"company_id\": \"<invoicing-company-id>\",\n \"vat\": \"BE0000000000\",\n \"company_number\": \"0000000000\",\n \"currency\": \"EUR\",\n \"language\": \"en\",\n \"comment\": \"Preferred contact: accounts payable team.\",\n \"customer_account_number\": \"<invoicing-account-number>\",\n \"supplier_account_number\": \"<invoicing-account-number>\",\n \"birthdate\": \"1990-01-01\",\n \"addresses\": []\n}"
response = http.request(request)
puts response.read_body{
"id": "<this-id>",
"source_ref": {
"id": "<target-software-id>",
"model": "invoice"
},
"is_prospect": true,
"is_customer": true,
"is_supplier": true,
"is_company": true,
"company_name": "Example Company S.A.",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+32 2 000 00 00",
"mobile": "+32 4 000 00 00",
"company_id": "<invoicing-company-id>",
"vat": "BE0000000000",
"company_number": "0000000000",
"currency": "EUR",
"language": "en",
"comment": "Preferred contact: accounts payable team.",
"customer_account_number": "<invoicing-account-number>",
"supplier_account_number": "<invoicing-account-number>",
"birthdate": "1990-01-01",
"gender": "H",
"addresses": [],
"external_reference": "CONTACT-0001"
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}- What is a contact? ↗
Path Parameters
Body
Is a prospect?
Is a customer?
Is a supplier?
Is a company?
Name of the company
"Example Company S.A."
Firstname
"John"
Lastname
"Doe"
"john.doe@example.com"
Phone
"+32 2 000 00 00"
Mobile
"+32 4 000 00 00"
Technical id of the contact' company in Chift
"<invoicing-company-id>"
VAT number
"BE0000000000"
Company number (identification number different than the VAT (e.g. siret))
"0000000000"
Currency matching target sofware name
"EUR"
Language matching target sofware name
"en"
Comment
"Preferred contact: accounts payable team."
Number of the accounting account used for sales (e.g. 701000)
"<invoicing-account-number>"
Number of the accounting account used for purchases (e.g. 601000)
"<invoicing-account-number>"
Birthdate
"1990-01-01"
Gender
H, F, N/A Addresses
Show child attributes
Show child attributes
Response
Successful Response
Technical id in Chift
"<this-id>"
Technical id in the target software
Show child attributes
Show child attributes
Is a prospect?
Is a customer?
Is a supplier?
Is a company?
Name of the company
"Example Company S.A."
Firstname
"John"
Lastname
"Doe"
"john.doe@example.com"
Phone
"+32 2 000 00 00"
Mobile
"+32 4 000 00 00"
Technical id of the contact' company in Chift
"<invoicing-company-id>"
VAT number
"BE0000000000"
Company number (identification number different than the VAT (e.g. siret))
"0000000000"
Currency matching target sofware name
"EUR"
Language matching target sofware name
"en"
Comment
"Preferred contact: accounts payable team."
Number of the accounting account used for sales (e.g. 701000)
"<invoicing-account-number>"
Number of the accounting account used for purchases (e.g. 601000)
"<invoicing-account-number>"
Birthdate
"1990-01-01"
Gender
H, F, N/A Addresses
Show child attributes
Show child attributes
External reference of the contact in the invoicing system
"CONTACT-0001"